org.eclipse.wst.jsdt.chromium.debug.core.util

## Interface UniqueKeyGenerator.Factory<E>

Enclosing class:
  UniqueKeyGenerator

    public static interface UniqueKeyGenerator.Factory<E>

A factory for an abstract storage used in `#createElementWithUniqueName` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`E` `tryCreate(java.lang.String name)`

### Method Detail

#### tryCreate

    E tryCreate(java.lang.String name)

Returns:
  created element or null if element with such name cannot be created